<?
if(isset($_GET['gos']))
{
if(isset($mc))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$gos[id_plant]' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
mysql_query("UPDATE `kolhoz_user` SET `last_plant` = '$gos[id_plant]' WHERE `id` = '$ku[id]'");
header("Location:?myfarm");
exit;
}
else err_game("Для начала вступите в колхоз.");
}
include_once 'inc/change_plant.php';
include_once 'inc/change_soil.php';
include_once 'inc/cultivator_all.php';
include_once 'inc/cultivator.php';
include_once 'inc/harvest_all.php';
include_once 'inc/harvest.php';
include_once 'inc/seat_all.php';
include_once 'inc/seat.php';
include_once 'inc/soil_all.php';
include_once 'inc/soil.php';
include_once 'inc/water_all.php';
include_once 'inc/water.php';
include_once 'inc/clean_grounds.php';
include_once 'inc/new_ground.php';
echo "<div class='event'><h1>Грядки</h1></div>";
if(isset($_SESSION['cp']))
{
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Бесплатная очистка грядок будет доступна через ".time_left($ku['time_cp']-$time)."</span></li></ul></div>";
unset($_SESSION['cp']);
}
if(isset($_GET['on']))
{
mysql_query("UPDATE `kolhoz_user` SET `kompact` = '0' WHERE `id` = '$ku[id]'");
header("Location:/?myfarm");
exit;
}
echo "<div class='content'>";
echo "<div class='block'>";
echo "<div class='feedback'>";
echo "<li><a href='?myfarm&on'><img src='images/icons/down.png'>Развернуть</a></li>";
if($ku['scarecrow_time']>$time)echo "<img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> ";
if($ku['time_vetruk']>$time)echo "<img width='16' height='16' src='images/vetriak.png' alt='o'> ";
if($ku['time_shmel']>$time)echo "<img width='16' height='16' alt='o' src='images/icons/heli1n.png'> ";
if($ku['time_yastreb']>$time)echo "<img width='16' height='16' alt='o' src='images/icons/heli2n.png'> ";
if($ku['time_drakon']>$time)echo "<img width='16' height='16' alt='o' src='images/icons/heli3n.png'> ";
if($ku['hydropinics_time']>$time)echo "<img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> "; 
if($ku['garden_time']>$time)echo "<img width='16' height='16' alt='' src='images/icons/gardener".$ku['gardener'].".png'></a> "; 
if($ku['worker3_time']>$time)echo "<img width='16' height='16' alt='' src='images/icons/worker".$ku['worker3'].".png'></a></li>";
//if(!empty($ku['garden']))echo "<li><img width='16' height='16' alt='' src='images/icons/bell.png'> <a href='?myfarm&leave'>Вызвать работника</a>"; elseif($ku['garden_time']>$time) echo "<img width='16' height='16' alt='' src='images/icons/bell.png'> <a href='?myfarm&leave'>Уволить работника</a></li>";
echo "<div><img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='?myfarm&reflesh=".rand(99999,99999999)."'>Обновить</a>";
if(isset($_GET['leave']))
{
if(empty($ku['gardener']))
{
$gard=explode("#", $ku['garden']);
mysql_query("UPDATE `kolhoz_user` SET `gardener` = '$gard[0]',`garden_time` = '$gard[1]'+'$time' WHERE `id` = '$ku[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `garden` = '' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:/?myfarm");
}
else{
$gtime=$ku['garden_time']-$time;
$gardc="$ku[gardener]#$gtime";
mysql_query("UPDATE `kolhoz_user` SET `garden` = '$gardc' WHERE `id` = '$ku[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `gardener` = '',`garden_time` = '' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:/?myfarm");
echo $gtime;
}
}
echo "<li class='pt'>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND (`time` < '$time' OR `time` = '$time') AND `id_plant` != '0'"),0)!=0 && $ku['harvester']>0)echo "<div><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?myfarm&harvest_all'>Собрать все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `soil` = '0' AND (`time_soil` = '$time' OR `time_soil` < '$time') AND `id_plant` != '0' AND `time` > '$time'"),0)!=0 && $ku['soiler']>0)echo "<div><img width='16' height='16' src='images/icons/soil.png' alt='o'> <a href='?myfarm&soil_all'>Удобрить все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` != '0' AND (`time_water` = '$time' OR `time_water` < '$time') AND `time` > '$time' AND (`soil` = '0' AND `time_soil` > '$time' OR `soil` = '1')"),0)!=0 && $ku['irregate']>0)echo "<div><img width='16' height='16' src='images/icons/water.png' alt='o'> <a href='?myfarm&water_all'>Полить все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['seeder']>0)echo "<div><img width='16' height='16' src='images/icons/seat.png' alt='o'> <a href='?myfarm&seat_all'>Засадить все</a></div>";
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0 && $ku['cultivator']>0)echo "<div><img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?myfarm&cultivator_all'>Вскопать все</a></div>";
echo "</li>";
echo "<ul>";

////ГРЯДКИ
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]'"),0); 
if ($k_post==0) 
{ 
echo "Список пуст..."; 
} 
$k_page=k_page($k_post,5);
$page=page($k_page);
$start=5*$page-5;
$q=mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]'  ORDER BY `id` DESC LIMIT $start, 5");
while($post=mysql_fetch_array($q))
{
echo "<li>";
if($post['id_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"),0)!=0)$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));

echo "<li><img width='48' height='48' src='".(!isset($plant)?"".($post['cultivator']==1?"images/dirt_new.jpg":"images/dirt2_new.jpg")."":"images/plants/$plant[id].png")."' alt='o' class='portrait'>";
echo "<div>";
echo "".(!isset($plant)?"<span class='title'>".($post['cultivator']==1?"Земля, готовая к посеву":"Необработанная земля")."</span>":"<span  class='title'>".hsc($plant['name'])."</span>".($post['time']>$time?"<span class='small minor'> (Урожай через <span> ".time_left($post['time']-$time)."</span>)</span>":null)."")."";
echo "</div>";
echo "<div>";
if(isset($plant))
{
if($post['time']<=$time)
{
echo "<img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?myfarm&harvest=$post[id]'>Собрать урожай</a>";
}
else
{
if($ku['last_soil']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil` WHERE `id` = '$ku[last_soil]'"),0)!=0)$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil` WHERE `id` = '$ku[last_soil]'"));
echo "<span class='small minor'>".($post['time_soil']<=$time && $post['soil']==0 && $post['time']>$time?"<img width='16' height='16' src='images/icons/soil.png' alt='o'> ".(isset($ls)?"<a href='?myfarm&soil=$post[id]&select=$ls[id]'></span>Применить
<span>".hsc($ls['name'])."</span></a>, <a href='?myfarm&soil=$post[id]'><span>выбрать
удобрение</span></a>":"<a href='?myfarm&soil=$post[id]'>Удобрить</a>")."":"".($post['soil']==0 && $post['time']>$time?"Удобрение через ".time_left($post['time_soil']-$time)."":null)."")."</div>";
echo "<div class='small minor'>".($post['time_water']>$time && $post['time']>$time?"Полив через ".time_left($post['time_water']-$time)."":"".($post['time']>$time?"".($post['soil']==0 && $post['time_soil']>$time || $post['soil']==1?"</div><img alt='' width='16' height='16' src='images/icons/water.png'> <a href='?myfarm&water=$post[id]'>Полить</a>":null)."":null)."")."";
}
}
else
{
echo "<span>";
if($ku['last_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"),0)!=0)$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"));
echo "".($post['cultivator']==1?"<img width='16' height='16' src='images/icons/seat.png' alt='o'> ".(isset($lp)?"<a href='?myfarm&seat=$post[id]&select=$lp[id]'>Посадить <span>".hsc($lp['name'])."</span></a>, <a href='?myfarm&seat=$post[id]'><span>выбрать семена</span></a>":"<a href='?myfarm&seat=$post[id]'>Посадить</a>")."":"<img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?myfarm&cultivator=$post[id]'><span style='title'>Вскопать</span></a>")."";
echo "</span>";
}
if(isset($plant))unset($plant);
echo "<div style='clear:both'></div></li>";
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]'"),0)<20)echo "<li><img width='48' height='48' src='images/dirt_new.jpg' alt='o' class='portrait'><div><span class='title'>Новая земля</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?myfarm&new_ground'>Купить</a> за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span>".cpg(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id_user` = '$ku[id]'"),0))."</span> рубинов</span></div><div style='clear:both'></div></li>";
//echo "</ul>";
if ($k_page>1)str("?myfarm&",$k_page,$page); // Вывод страниц 
if($ku['last_plant']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"),0)!=0)$lp=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$ku[last_plant]'"));
if($ku['last_soil']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_soil` WHERE `id` = '$ku[last_soil]'"),0)!=0)$ls=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_soil` WHERE `id` = '$ku[last_soil]'"));
echo "<ul class='ptm'><li><img width='16' height='16' src='images/icons/seat.png' alt='o'> <a href='?myfarm&change_plant'>Сменить растение</a>: <span>".(isset($lp)?"".hsc($lp['name'])."":"-")."</span></li>";
echo "<li><img width='16' height='16' src='images/icons/soil.png' alt='o'> <a href='?myfarm&change_soil'>Сменить удобрение</a>: <span>".(isset($ls)?"".hsc($ls['name'])."":"-")."</span></li>";
echo "".($ku['time_cp']>$time?"<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> До бесплатной очистки: <span>".time_left($ku['time_cp']-$time)."</span></li><li><span><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?myfarm&clean_grounds'><span>Очистить грядки</span></a>(<span>Стоимость</span>: <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span
class='title'>".($ku['count_cp']*10)."</span></span>)</span></li>":"<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> <a href='?myfarm&clean_grounds'>Очистить грядки</a></li>")."</ul>";
if(isset($mc))echo "<li class='pt'><img width='16' height='16' src='images/icons/heli4n.png' alt='o'> <a href='?collective=$mc[id]&hangar'>Вызвать вертолет</a></li>";
echo '</ul></div></div>';
include_once 'inc/foot.php';
?>